using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Table("payment_date_option")]
public partial class PaymentDateOption
{
    [Key]
    [Column("id")]
    public int Id { get; set; }

    [Column("name", TypeName = "citext")]
    public string Name { get; set; } = null!;

    [InverseProperty("PaymentDateOption")]
    public virtual ICollection<ContractNaesb> ContractNaesbs { get; set; } = new List<ContractNaesb>();
}
